a {
    color: #727cf5;
}

a:hover {
    color: #6169d0;
}

.weconnor .mandatory::after {
    content: '*';
    margin-left: 0.25em;
}

.weconnor hr {
    opacity: 0.15;
}

.weconnor .preline-message {
    white-space: pre-line;
    word-wrap: break-word;
}

.weconnor .preline-message ul {
    white-space: normal;
}

.weconnor .preline-message ul > li {
    white-space: pre-line;
}

.weconnor .form-text {
    font-size: inherit;
    color: inherit;
}

.weconnor .form-control.multiline-3,
.weconnor .form-control-plaintext.multiline-3 {
    /* based form-control line-height */
    height: calc(var(--sscltd-line-height) * 3 + (var(--sscltd-control-padding-y) + 1px) * 2);
}

.weconnor .form-control.multiline-5,
.weconnor .form-control-plaintext.multiline-5 {
    /* based form-control line-height */
    height: calc(var(--sscltd-line-height) * 5 + (var(--sscltd-control-padding-y) + 1px) * 2);
}

.weconnor .form-control.multiline-10,
.weconnor .form-control-plaintext.multiline-10 {
    /* based form-control line-height */
    height: calc(var(--sscltd-line-height) * 10 + (var(--sscltd-control-padding-y) + 1px) * 2);
}

.weconnor .form-control.multiline-20,
.weconnor .form-control-plaintext.multiline-20 {
    /* based form-control line-height */
    height: calc(var(--sscltd-line-height) * 20 + (var(--sscltd-control-padding-y) + 1px) * 2);
}

.weconnor label.form-check-label {
    font-weight: normal;
}

.weconnor .form-floating > label {
    font-weight: normal;
}

.weconnor span.multiline-label {
    /* text will wrap when necessary, and on line breaks */
    display: block;
    white-space: pre-line;
    overflow-x: auto;
    overflow-y: hidden;
    padding: 0px;
}

.weconnor span.multiline-label.multiline-strict {
    /* text will only wrap on line breaks */
    white-space: pre;
}

.weconnor span.multiline-label.multiline-3 {
    /* based body line-height */
    max-height: calc(var(--sscltd-line-height) * 3);
    overflow-y: auto;
}

.weconnor span.multiline-label.multiline-5 {
    /* based body line-height */
    max-height: calc(var(--sscltd-line-height) * 5);
    overflow-y: auto;
}

.weconnor span.multiline-label.multiline-10 {
    /* based body line-height */
    max-height: calc(var(--sscltd-line-height) * 10);
    overflow-y: auto;
}

.weconnor span.multiline-label.multiline-20 {
    /* based body line-height */
    max-height: calc(var(--sscltd-line-height) * 20);
    overflow-y: auto;
}

.weconnor .hidden-submit-button {
    background-color: transparent;
    border: none;
    padding: 0px;
    margin: 0px;
    float: left;
}

.weconnor .dummy-submit-button {
    /* same style as hidden-submit-button but postback is disable by javascript */
    background-color: transparent;
    border: none;
    padding: 0px;
    margin: 0px;
    float: left;
}

.weconnor .btn {
    white-space: nowrap;
}

.weconnor .btn > *:not(:last-child) {
    margin-right: 0.5em;
}

.weconnor .btn.btn-link {
    padding: 0px;
}

.weconnor .dropdown-toggle::after {
    font-size: 1rem;
}

.weconnor .form-select:disabled {
    color: var(--bs-body-color);
}

.weconnor .form-select::placeholder {
    color: var(--bs-gray-500);
    opacity: 1;
}

.weconnor .form-control::placeholder {
    color: var(--bs-gray-500);
    opacity: 1;
}

.weconnor .form-select:read-only::placeholder {
    opacity: 0;
}

.weconnor .form-control:read-only::placeholder {
    opacity: 0;
}

.weconnor .form-others {
    padding-top: var(--sscltd-control-padding-y);
    padding-bottom: var(--sscltd-control-padding-y);
    min-height: calc(var(--sscltd-line-height) + (var(--sscltd-control-padding-y) + 1px) * 2);
}

.weconnor .card .header-title {
    display: block;
    font-weight: 700;
    line-height: 2rem;
    border-bottom: 1px solid rgba(0,0,0,.125);
    margin-bottom: 1rem;
}

.weconnor .input-group .btn:disabled {
    border-color: var(--bs-gray-300);
    color: var(--bs-gray-500);
    background-color: var(--bs-gray-200);
    opacity: 1;
}

.weconnor .multiselect[data-readonly],
.weconnor .jumbobox[readonly] .jumbobox-input {
    background-color: var(--bs-gray-200);
}

.weconnor .multiselect .multiselect-option [data-multiselect-status="INACTIVE"] {
    color: var(--bs-gray-500);
}

.weconnor .multiselect .multiselect-option [data-multiselect-status="INACTIVE"] .multiselect-option-text::after {
    content: ' (Inactive)';
}

.weconnor .jumbobox .jumbobox-input.form-select {
    padding: var(--sscltd-control-padding);
    background-image: none;
}

/*.weconnor .jumbobox .jumbobox-menu {
    transform: translate(0px, var(--sscltd-control-height)) !important;
}*/

.weconnor .jumbobox .jumbobox-menu .jumbobox-items {
    max-height: 20rem;
    overflow-x: hidden;
    overflow-y: auto;
}

.weconnor .select2-container .select2-selection--multiple .select2-selection__rendered > * {
    max-width: calc(100% - 8px);
}

.weconnor .select2-container .select2-selection--multiple .select2-selection__rendered > :first-child {
    margin-left: 1px;
}

.weconnor .select2-container--default.select2-container--disabled .select2-selection--multiple {
    background-color: var(--bs-gray-200);
}

.weconnor .select2-container--default.select2-container--disabled .select2-selection__choice__display {
    padding-left: 12px;
}

.weconnor .drp-calendar .monthselect,
.weconnor .drp-calendar .yearselect {
    line-height: 1.5;
    padding: 1px 15px 1px 5px;
    color: #6c757d;
    background-color: #fff;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right .25rem center;
    background-size: 14px 10px;
    border: 1px solid #dee2e6;
    border-radius: .25rem;
    -webkit-transition: border-color .15s ease-in-out,-webkit-box-shadow .15s ease-in-out;
    transition: border-color .15s ease-in-out,-webkit-box-shadow .15s ease-in-out;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out,-webkit-box-shadow .15s ease-in-out;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

.weconnor .drp-calendar .monthselect:focus,
.weconnor .drp-calendar .yearselect:focus {
    outline: 0;
}

.weconnor input[data-switch] + label {
    width: 4rem;
}

.weconnor input[data-switch] + label:before {
    left: 18px;
    right: auto;
    margin: auto;
    width: calc(100% - 18px);
}

.weconnor input[data-switch]:checked + label:before {
    left: auto;
}

.weconnor input[data-switch]:checked + label:after {
    left: auto;
    right: 3px;
}

.weconnor .card .card-legend {
    margin: -2.25rem -0.5rem 0.75rem -0.5rem;
    display: flex;
}

.weconnor .card .card-legend > * {
    background: linear-gradient(to top, #fff, #fff 50%, transparent 50%, transparent);
}

.weconnor .card .card-legend > *:first-child {
    padding-left: 0.5rem;
}

.weconnor .card .card-legend > *:last-child {
    padding-right: 0.5rem;
}

.weconnor .multiselect .multiselect-actions {
    margin: 0.25rem -0.5rem 0rem -0.5rem;
}

.weconnor .multiselect .multiselect-actions .multiselect-filter {
    padding: 0.25rem 0.5rem;
}

/* >>> toast >>> */
.weconnor .toast-container {
    z-index: 1100;
}

.weconnor .toast .toast-body {
    font-size: 1rem;
    line-height: 1.25rem;
    display: flex;
    align-items: center;
}

.weconnor .toast .toast-icon {
    font-size: 2rem;
    line-height: 2rem;
    flex: 0 0 0;
    margin-right: 0.5rem;
}

.weconnor .toast .toast-message {
    flex: 1 1 auto;
    margin-right: 0.5rem;
    word-break: break-word;
}

.weconnor .toast .btn-close {
    flex: 0 0 0;
}
/* <<< toast <<< */

/* >>> table >>> */
.weconnor .table-responsive table,
.weconnor .table-responsive table.dataTable {
    margin-top: 0 !important;
    margin-bottom: 0.25rem !important;
}

.weconnor .table-responsive table thead {
    top: 0;
    position: -webkit-sticky;
    position: sticky;
    z-index: 1;
}

.weconnor .table-responsive table thead tr {
    background-color: #fff;
}

.weconnor table thead a {
    color: inherit;
}

.weconnor .table-striped-js > tbody > tr.striped-row > * {
    background-color: var(--bs-table-striped-bg);
}

.weconnor table.dataTable th,
.weconnor table.dataTable td,
.weconnor .sortable .sortable-column {
    width: var(--weconnor-col-width, auto);
    min-width: var(--weconnor-col-min-width, 5em);
}

.weconnor table.dataTable.table-nowrap th.text-wrap,
.weconnor table.dataTable.table-nowrap td.text-wrap,
.weconnor table.dataTable:not(.table-nowrap) th:not(.text-nowrap),
.weconnor table.dataTable:not(.table-nowrap) td:not(.text-nowrap) {
    max-width: var(--weconnor-col-width, none);
}

.weconnor table.dataTable .col-edit,
.weconnor .sortable .col-edit {
    --weconnor-col-width: 3em;
    --weconnor-col-min-width: 3em;
}

.weconnor table.dataTable .col-select,
.weconnor .sortable .col-select {
    --weconnor-col-width: 4em;
    --weconnor-col-min-width: 4em;
}

.weconnor table.dataTable.multiple-select .col-select {
    --weconnor-col-width: 1em;
    --weconnor-col-min-width: 1em;
}

.weconnor table.dataTable .col-remove {
    --weconnor-col-width: 4em;
    --weconnor-col-min-width: 4em;
}

.weconnor .sortable .col-remove {
    --weconnor-col-width: 6em;
    --weconnor-col-min-width: 6em;
}

.weconnor table.dataTable .col-width-5,
.weconnor .sortable .col-width-5 {
    --weconnor-col-width: 5em;
}

.weconnor table.dataTable .col-width-10,
.weconnor .sortable .col-width-10 {
    --weconnor-col-width: 10em;
}

.weconnor table.dataTable .col-width-15,
.weconnor .sortable .col-width-15 {
    --weconnor-col-width: 15em;
}

.weconnor table.dataTable .col-width-20,
.weconnor .sortable .col-width-20 {
    --weconnor-col-width: 20em;
}

.weconnor table.dataTable .col-width-25,
.weconnor .sortable .col-width-25 {
    --weconnor-col-width: 25em;
}

.weconnor table.dataTable .col-width-30,
.weconnor .sortable .col-width-30 {
    --weconnor-col-width: 30em;
}


.weconnor table.dataTable .col-min-width-10,
.weconnor .sortable .col-min-width-10 {
    --weconnor-col-min-width: 10em;
}

.weconnor table.dataTable .col-min-width-15,
.weconnor .sortable .col-min-width-15 {
    --weconnor-col-min-width: 15em;
}

.weconnor table.dataTable .col-min-width-20,
.weconnor .sortable .col-min-width-20 {
    --weconnor-col-min-width: 20em;
}

.weconnor table.dataTable .col-min-width-25,
.weconnor .sortable .col-min-width-25 {
    --weconnor-col-min-width: 25em;
}

.weconnor table.dataTable .col-min-width-30,
.weconnor .sortable .col-min-width-30 {
    --weconnor-col-min-width: 30em;
}

.weconnor table.dataTable .col-filler,
.weconnor .sortable .col-filler {
    --weconnor-col-min-width: auto;
    padding: 0;
}

.weconnor table.form-table > tbody > tr > td {
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
}

.weconnor div.dataTables_scrollBody > table {
    margin-bottom: 0.25rem !important;
}

.weconnor table.dataTable.table-sm thead > tr > th.sorting,
.weconnor table.dataTable.table-sm thead > tr > th.sorting_asc,
.weconnor table.dataTable.table-sm thead > tr > th.sorting_desc {
    padding-left: 0.5rem;
}

.weconnor table.dataTable.table-sm thead > tr > .sorting:before,
.weconnor table.dataTable.table-sm thead > tr > .sorting_asc:before,
.weconnor table.dataTable.table-sm thead > tr > .sorting_desc:before {
    top: 2px;
    right: 0.5rem;
}

.weconnor table.dataTable.table-sm thead > tr > .sorting:after,
.weconnor table.dataTable.table-sm thead > tr > .sorting_asc:after,
.weconnor table.dataTable.table-sm thead > tr > .sorting_desc:after {
    top: 8px;
}

.weconnor table.dataTable tr.odd {
    background-color: #f8f8f8;
}

.weconnor table.dataTable tr.odd td {
    background-color: #f8f8f8;
}

@media (max-width: 767.98px) {
    .weconnor div.dataTables_paginate ul {
        display: inline-block;
        margin: 2px 0 !important;
    }

    .weconnor div.dataTables_paginate ul li.paginate_button.next,
    .weconnor div.dataTables_paginate ul li.paginate_button.previous {
        font-size: inherit;
    }
}
/* <<< table <<< */

/* >>> sortable >>> */
.weconnor .sortable {
    --bs-table-bg: transparent;
    --bs-table-accent-bg: transparent;
    --bs-table-striped-color: #6c757d;
    --bs-table-striped-bg: #f1f3fa;
}

.weconnor .sortable .sortable-column {
    display: flex;
    align-items: center;
}

.weconnor .sortable .sortable-header .sortable-column {
    color: var(--bs-body-color);
    background-color: var(--bs-table-bg);
}

.weconnor .sortable .sortable-row:nth-of-type(2n) .sortable-column {
    color: var(--bs-table-striped-color);
    background-color: var(--bs-table-striped-bg);
}

.weconnor .sortable .sortable-row:nth-of-type(2n+1) .sortable-column {
    color: var(--bs-body-color);
    background-color: transparent;
}

.weconnor .sortable .sortable-column {
    padding: 0.95rem;
    vertical-align: middle;
}

.weconnor .sortable .sortable-column.col-filler {
    flex-grow: 1;
    padding: 0px;
}
/* <<< sortable <<< */

/* >>> two column layout >>> */
.weconnor .two-columns {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 1.5rem;
}

.weconnor .two-columns > * {
    min-width: 0;
}

.weconnor .two-columns > .header-title {
    margin-bottom: -0.5rem;
}

.weconnor .two-columns > hr {
    margin: 0px;
}

.weconnor .two-columns > .header-title,
.weconnor .two-columns > hr,
.weconnor .two-columns > .column-span-2 {
    grid-column: 1 / 3;
}

.weconnor .two-columns > .column-fix-1 {
    grid-column: 1;
}

.weconnor .two-columns > .column-fix-2 {
    grid-column: 2;
}

@media (max-width: 768px) {
    .weconnor .two-columns {
        grid-template-columns: 1fr;
    }

    .weconnor .two-columns > .header-title,
    .weconnor .two-columns > hr,
    .weconnor .two-columns > .column-span-2 {
        grid-column: 1;
    }

    .weconnor .two-columns > .column-fix-2 {
        grid-column: 1;
    }
}

@media (max-width: 992px) {
    .weconnor .modal .two-columns {
        grid-template-columns: 1fr;
    }

    .weconnor .modal .two-columns > .header-title,
    .weconnor .modal .two-columns > hr,
    .weconnor .modal .two-columns > .column-span-2 {
        grid-column: 1;
    }

    .weconnor .modal .two-columns > .column-fix-2 {
        grid-column: 1;
    }
}
/* <<< two column layout <<< */

.weconnor .side-nav .side-nav-link {
    display: flex;
}

.weconnor .side-nav .side-nav-link i {
    line-height: 1.4rem;
    flex: 0 0 1.5rem;
}

.weconnor .side-nav .side-nav-link span {
    line-height: 1.4rem;
    flex: 0 1 auto;
}

.weconnor .multispan-inline {
    white-space: normal;
}

.weconnor .multispan-inline > span {
    display: inline-block;
}

.weconnor .multispan-inline > span:not(:last-child) {
    margin-right: 0.25rem;
}

.weconnor .multispan-inline > span:not(:last-child):after {
    content: ',';
}
input[type=checkbox] {
    border-color: #000000 !important;
}